;;;; Elm mode configuration.
(require 'jenga-functions)
(instl 'elm-mode)

(add-hook 'elm-mode-hook #'company-mode)
(add-hook 'elm-mode-hook #'rainbow-delimiters-mode)
(add-hook 'elm-mode-hook (lambda () (setq evil-auto-indent nil)))

;; Turn on Elm mode with *.elm files.
(add-to-list 'auto-mode-alist '("\\.elm\\'" . elm-mode))
(add-to-list 'company-backends 'company-elm)

(setq elm-format-on-save t
      elm-tags-on-save t
      elm-tags-exclude-elm-stuff nil)

(provide 'jenga-elm)
